/*
 * SettingVariables.c
 *
 */

#include "classes\Generated Source\SettingVariables.h"


JNIEXPORT void JNICALL
Java_SettingVariables_update(JNIEnv *env, jobject thisObj) {

	jclass clazz;
	jfieldID fid_long;
	jfieldID fid_int;
	jfieldID fid_static_long;
	jfieldID fid_static_int;

	jint ji = 100;

	// Klassen-Zeiger holen
	clazz = (*env)->GetObjectClass(env, thisObj);

	// setzen der Non-Static Variablen
	fid_long = (*env)->GetFieldID(env, clazz, "_long", "J");
	fid_int = (*env)->GetFieldID(env, clazz, "_int", "I");
	
	(*env)->SetLongField(env, thisObj, fid_long, ji++);
	(*env)->SetIntField(env, thisObj, fid_int, ji++);

	// setzen der Static Variablen
	fid_static_long = (*env)->GetStaticFieldID(env, clazz, "_static_long", "J");
	fid_static_int = (*env)->GetStaticFieldID(env, clazz, "_static_int", "I");

	(*env)->SetStaticLongField(env, clazz, fid_static_long, ji++);
	(*env)->SetStaticIntField(env, clazz, fid_static_int, ji++);

}